Name:           perl-HTTP-Server-Simple
Version:        0.15
Release:        1%{?dist}
Summary:        Very simple standalone HTTP daemon

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/HTTP-Server-Simple/
Source0:        http://www.cpan.org/authors/id/J/JE/JESSE/HTTP-Server-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Server::Simple is a very simple standalone HTTP daemon with no non-core
module dependencies.  It's ideal for building a standalone http-based UI to
your existing tools.


%prep
%setup -q -n HTTP-Server-Simple-%{version}
chmod a-x lib/HTTP/Server/*.pm
%{__perl} -pi -e 's|^#!perl\b|#!%{__perl}|' ex/sample_server


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README ex/
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/*.3*


%changelog
* Tue Oct 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15-1
- Update to 0.15.

* Thu Aug 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.13-1
- First build.
